import jabber
import xmlrpclib
import string
import sys

Server = 'localhost'
Username = 'dana'
Password = 'dana'
Resource = 'Exodus'

Endpoint = 'server@localhost/rpc'
Method = 'Echo'
county = '1'

request = xmlrpclib.dumps(((county),), methodname=Method)
print "request-->\n", request

con = jabber.Client(host=Server)
try:
    con.connect()
except IOError, e:
    print "Unable to connect: %s" % e
    sys.exit(0)

con.auth(Username, Password, Resource)

iq = jabber.Iq(to=Endpoint, type='set')
iq.setQuery('jabber:iq:rpc')
iq.setQueryPayload(request)

result = con.SendAndWaitForResponse(iq)
print "Done! Result:", result

if result.getType() == 'result':
    response = str(result.getQueryPayload())
    parms, func = xmlrpclib.loads(response)
    print parms[0]
else:
    print "Error"

con.disconnect()

